Bug 1600672 - [BACKPORT] RFE: Make multipath able to blacklist by protocol/transport
Summary: [BACKPORT] RFE: Make multipath able to blacklist by protocol/transport
Keywords:
Status: CLOSED DUPLICATE of bug 1593459
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: device-mapper-multipath
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ben Marzinski
QA Contact: Lin Li
URL:
Whiteboard:
Depends On: 1593459
Blocks: 1016535
TreeView+ depends on / blocked
 
Reported: 2018-07-12 18:17 UTC by Ala Hino
Modified: 2018-07-23 16:48 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-23 16:48:28 UTC


Attachments (Terms of Use)

Description Ala Hino 2018-07-12 18:17:10 UTC
Description of problem:

This bug opened for BZ 1593459 backport purpose.

Right now, there is no way to easily tell multipath that you want to blacklist or whitelist devices based on what protocol and transport method that they are using. You can't easily (for instance) blacklist all devices except scsi devices using Fibre Channel or iSCSI. To solve this multipath needs a new blacklist/blacklist_exceptions type, "protocol". This will allow you to do things like

blacklist {
        protocol ".*"
}

blacklist_exceptions {
        protocol "(scsi:fcp|scsi:iscsi)"

Comment 3 Ben Marzinski 2018-07-13 20:21:37 UTC
This change is largely self-contained, and I'm fine with backporting it.

Comment 4 Ben Marzinski 2018-07-18 02:05:50 UTC
1593459 is the RHEL-7.6 bug. This one is supposed to be a zstream bug. I don't actually know the process to go through to create a zstream bug. So, if requesting the rhel-7.5.z flag, and adding the ZStream flag isn't right way to go about this (I'm pretty sure that PM is supposed to be the ones setting up zstream bugs, so I assume that there is more to it that just this) then I'd like to request a zstream bug. RHEV can provide the business justification, if necessary.


Note You need to log in before you can comment on or make changes to this bug.